For the complete documentation index, see llms.txt. This page is also available as Markdown.

Mark Paid

Mark as paid

post

Mark the transports selected by the filters as paid.

Warning: please use filters when calling this API or the action will apply to all transports.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
uid__instringOptional

Comma separated list of transport uids to mark as paid.

Example: 4443d4b6-e165-11ea-a488-0242ac110007
Responses
200Success
application/json
successbooleanOptionalExample: true
post/transports/mark-paid/
POST /api/v4/transports/mark-paid/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200Success
{
  "success": true
}

Last updated

Was this helpful?